Bug 213341 - Connecting to ICQ doesn't work anymore within kopete
Connecting to ICQ doesn't work anymore within kopete
Product: Fedora
Classification: Fedora
Component: kdenetwork (Show other bugs)
All Linux
medium Severity high
: ---
: ---
Assigned To: Ngo Than
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2006-10-31 16:47 EST by Roland Wolters
Modified: 2007-11-30 17:11 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-01-27 20:04:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
Patch for the ICQ-not-connecting problem (656 bytes, patch)
2006-10-31 16:47 EST, Roland Wolters
no flags Details | Diff
Version of c37 which works for me (932 bytes, patch)
2006-11-03 15:58 EST, Lukas Middendorf
no flags Details | Diff
Final ICQ status patch according to upstream (1.02 KB, patch)
2006-11-09 21:04 EST, Roland Wolters
no flags Details | Diff

External Trackers
Tracker ID Priority Status Summary Last Updated
KDE Software Compilation 136566 None None None Never

  None (edit)
Description Roland Wolters 2006-10-31 16:47:59 EST
Description of problem:
The connection with ICQ servers doesn't work anymore within kopete. The 
related KDE-bug is number 136566:

There is also a patch already available, at the end of the given bug report. I 
created a patch file and rebuild the kdenetwork package, it fixes the problem. 

The patch is attached, please include it.

Version-Release number of selected component (if applicable):
KDE 3.5.5
Comment 1 Roland Wolters 2006-10-31 16:47:59 EST
Created attachment 139903 [details]
Patch for the ICQ-not-connecting problem
Comment 2 Michael Metz 2006-11-01 03:54:07 EST
same for me since last Update of kdenetwork
Comment 3 Jose Pedro Oliveira 2006-11-01 13:33:59 EST
Upstream patch
Comment 4 Rex Dieter 2006-11-01 13:36:12 EST
FYI, c37 patch doesn't build against stock kdenetwork-3.5.5 (isActive bit is
Comment 5 Lukas Middendorf 2006-11-03 15:58:53 EST
Created attachment 140318 [details]
Version of c37 which works for me

I have manualy patched the sources, created the attached diff, integrated it
into the spec-file of kdenetwork and have successfully built the package.
ICQ now works again with Kopete.
Comment 6 Roland Wolters 2006-11-09 21:04:28 EST
Created attachment 140859 [details]
Final ICQ status patch according to upstream

Lukas, your patch is not according to upstream! You have effectively two times
the line
setStatus( d->connectAsStatus, d->connectWithMessage );
I don't know which effect this have or if it matters at all, but this is not
what upstream provides!

However, I recompiled with the upstream patches, and it works like charm. Also,
Rex, I had no problem compiling, I don't understand why you had the mentioned

Since the second patch upstream says the problem is gone, and I can only
confirm that - therefore please include this patch into the package!
Comment 7 Roland Wolters 2007-01-27 20:04:46 EST
Upstream released a new version, KDE 3.5.6. I guess we will see these packages 
eventually available for Fedora Core 6, so no need to extra fix this bug, I 

Btw., it is just disappointing that this bug was not fixed although even a 
working patch was provided almost three months ago :(

Note You need to log in before you can comment on or make changes to this bug.